Consultar contato
Este endpoint retorna os detalhes de um contato especificado pelo identificador.
GET
/Contact/{id}Este endpoint retorna os detalhes de um contato especificado pelo identificador.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
| Nome | Local | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|---|
id | path | integer · int32 | Sim | — | — |
Corpo da requisição
Esta operação não recebe corpo de requisição.
Exemplo de requisição
curl --request GET \
--url 'https://api.zild.ai/Contact/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | Sucesso ao retornar o contato | application/json · ContactDto |
Exemplo de resposta (200):
{
"id": 0,
"firstName": "string",
"lastName": "string",
"fullName": "string",
"linkedInUrl": "string",
"title": "string",
"companyName": "string",
"accountId": 0,
"preferredUserId": 0,
"enabled": true,
"externalId": "string",
"primaryEmail": "string",
"primaryPhone": "string"
}
Modelos de dados
ContactDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
firstName | string | Não | — | aceita null |
lastName | string | Não | — | aceita null |
fullName | string | Não | — | aceita null |
linkedInUrl | string | Não | — | aceita null |
title | string | Não | — | aceita null |
companyName | string | Não | — | aceita null |
accountId | integer · int32 | Não | — | — |
preferredUserId | integer · int32 | Não | — | — |
enabled | boolean | Não | — | — |
externalId | string | Não | — | aceita null |
primaryEmail | string | Não | — | aceita null |
primaryPhone | string | Não | — | aceita null |